package com.kingtom.shengtai;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/12/20
 */
@SpringBootApplication
@EnableWebMvc
@ComponentScan({"com.kingtom.shengtai", "com.kingtom.kirin"})
@MapperScan({"com.kingtom.kirin.app.*.dao", "com.kingtom.shengtai.app.*.dao"})
public class SRMApplication{

    public static void main(String[] args){
        SpringApplication.run(SRMApplication.class, args);
    }

}
