package com.kingtom.shengtai.api.model;

import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2024 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2024/1/3
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierJoinParam{

    private String name;

    private String phone;

    private String address;

    private String type;

    private List<String> product;

    private List<String> image;
}
