package com.kingtom.shengtai.app.message.service;

import java.util.List;

import com.kingtom.kirin.core.common.base.service.IBaseService;
import com.kingtom.shengtai.app.message.model.MsgSummary;

/**
 * 消息内容表 服务层。
 *
 * @author wany
 * @since 2023-12-27
 */
public interface IMsgSummaryService extends IBaseService<MsgSummary>{

    /**
     * 创建消息、消息接收
     *
     * @param summary
     * @param receiver
     */
    void createMsg(MsgSummary summary, List<String> receiver);

}
